//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "DemoMain.h"
#include "Mpcx.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	if ( OpenDialog->Execute( ) )
    {
    	if ( ExtractFileExt( OpenDialog->FileName ).LowerCase( ) == ".pcx" )
        {
        	TMPCXImage * p = new TMPCXImage( );
            p->LoadFromFile( OpenDialog->FileName );
            Image->Picture->Bitmap->Assign( p );
            delete p;
        }
        else if ( ExtractFileExt( OpenDialog->FileName ).LowerCase( ) == ".bmp" )
        	Image->Picture->Bitmap->LoadFromFile( OpenDialog->FileName );
        else
        	ShowMessage( "Invalid file format !" );
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
	if ( SaveDialog->Execute( ) )
    {
    	if ( ExtractFileExt( SaveDialog->FileName ).LowerCase( ) == ".pcx" )
        {
        	TMPCXImage * p = new TMPCXImage( );
            p->Assign( Image->Picture->Bitmap );
            p->SaveToFile( SaveDialog->FileName );
            delete p;
        }
        else if ( ExtractFileExt( SaveDialog->FileName ).LowerCase( ) == ".bmp" )
        	Image->Picture->Bitmap->SaveToFile( SaveDialog->FileName );
        else
        	ShowMessage( "Invalid file format !" );
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
	Close( );
}
//---------------------------------------------------------------------------
