//---------------------------------------------------------------------------
//  MpcxData.h
//  Converting functions between PCX Image data and BMP Image data,
//    It's used by unit MPcx.
//  Copyright ( c ) 2000, 01 by Mental Studio - http://mentals.126.com
//  Author : Raptor - raptorz@163.com
//---------------------------------------------------------------------------

#ifndef MpcxDataH
#define MpcxDataH

//---------------------------------------------------------------------------

#ifdef __cplusplus
extern "C" {
#endif

int  MPCX_Size(  const void * const aMPcxData, int aSize );
void MPCX_Read(  const void * const aMPcxData, int aSize, void * const aBmData );
int  MPCX_Write( const void * const aBmData, int aSize, void * const aMPcxData );

//  External functions
void far * _RTLENTRYF _EXPFUNC memalloc( int aSize );
void       _RTLENTRYF _EXPFUNC memfree( void far * aMem );

#ifdef __cplusplus
}
#endif

//---------------------------------------------------------------------------

#endif

//---------------------------------------------------------------------------
